import rhinoscriptsyntax as rs
import System

# Opens and saves all files in a common root directory.
# If used with v3.60.02 all outdated V-Ray data will be migrated in the process.
# V-Ray must be set as current render prior to running the script.
# Manually substitute the directory path and double each backslash.

files = System.IO.Directory.GetFiles(
    'C:\\Users\\Peter\\Desktop\\Migration_test', 
    '*.3dm', 
    System.IO.SearchOption.AllDirectories)

for file in files:
    rs.DocumentModified(False)
    rs.Command('_-Open ' + file)
    print "file:{0}".format(file)
    rs.Command('_-Save _Enter')

rs.Command('_-New None')